from os import popen
import os
import sys
def bfs10163():
  return (sys.platform in ('win32', 'cygwin'))

def bfs10162():
  return (sys.platform == 'darwin')

def bfs10164():
  return sys.platform.startswith('linux')

def bfs10165():
  if bfs10163():
    return 'win'
  elif bfs10162():
    return 'macosx'
  elif bfs10164():
    return 'linux'


def bfs10170():
  if bfs10163():
    return ('PROGRAMFILES(X86)' not in os.environ)

  assert (bfs10164() or bfs10162())
  return (bfs10166() in ('i386', 'i686'))

def bfs10166():
  return popen('uname -m').read().strip()

def bfs10167():
  if bfs10163():
    return ('PROGRAMFILES(X86)' in os.environ)

  assert (bfs10164() or bfs10162())
  return (bfs10166() in ('x86_64', 'ia64', 'amd64'))

